import pybtex.database
from .errors import HttpError as HttpError, NotFoundError as NotFoundError
from .tools import heuristic_unique_result as heuristic_unique_result, pybtex_to_dict as pybtex_to_dict
from .warnings import UnsupportedBibTeXType as UnsupportedBibTeXType, UnsupportedCrossRefType as UnsupportedCrossRefType
from typing import Any

__author_email__: str
__website__: str
BIBTEX_TO_CROSSREF_TYPEDICT: Any
CROSSREF_TO_BIBTEX_TYPEDICT: Any
CROSSREF_ADDITIONAL_SUPPORTED_TYPES: Any

class Crossref:
    api_url: str
    def __init__(self) -> None: ...
    def get_by_doi(self, doi): ...
    def find_unique(self, entry: pybtex.database.Entry) -> pybtex.database.Entry: ...
